## elinks-0.14.1-1.src.tar.gz

=== meson_options.txt ===
option('largefile', type: 'boolean', value: true, description: 'support for large files')
option('bookmarks', type: 'boolean', value: true, description: 'bookmark support')
option('xbel', type: 'boolean', value: true, description: 'XBEL bookmark support (requires expat)')
option('sm-scripting', type: 'boolean', value: false, description: 'ECMAScript browser scripting (requires Spidermonkey)')
option('nls', type: 'boolean', value: true, description: 'Native Language Support')
option('cookies', type: 'boolean', value: true, description: 'cookie support')
option('formhist', type: 'boolean', value: true, description: 'form history support')
option('globhist', type: 'boolean', value: true, description: 'global history support')
option('mailcap', type: 'boolean', value: true, description: 'mailcap support')
option('mimetypes', type: 'boolean', value: true, description: 'mimetypes files support')
option('ipv6', type: 'boolean', value: true, description: 'IPv6 support')
option('bittorrent', type: 'boolean', value: true, description: 'BitTorrent protocol support')
option('data', type: 'boolean', value: true, description: 'data protocol support')
option('uri-rewrite', type: 'boolean', value: true, description: 'URI rewrite support')
option('cgi', type: 'boolean', value: false, description: 'local CGI support')
option('finger', type: 'boolean', value: false, description: 'finger protocol support')
option('fsp', type: 'boolean', value: true, description: 'FSP protocol support')
option('ftp', type: 'boolean', value: true, description: 'ftp protocol support')
option('gopher', type: 'boolean', value: false, description: 'gopher protocol support')
option('nntp', type: 'boolean', value: false, description: 'nntp protocol support')
option('smb', type: 'boolean', value: false, description: 'Samba protocol support')
option('mouse', type: 'boolean', value: true, description: 'mouse support')
option('sysmouse', type: 'boolean', value: false, description: 'BSD sysmouse support')
option('88-colors', type: 'boolean', value: false, description: '88 color support')
option('256-colors', type: 'boolean', value: false, description: '256 color support')
option('true-color', type: 'boolean', value: false, description: 'true color support')
option('exmode', type: 'boolean', value: false, description: 'exmode (CLI) interface')
option('leds', type: 'boolean', value: true, description: 'LEDs support')
option('marks', type: 'boolean', value: true, description: 'document marks support')
option('css', type: 'boolean', value: true, description: 'Cascading Style Sheet support')
option('html-highlight', type: 'boolean', value: false, description: 'HTML highlighting using DOM engine')
option('backtrace', type: 'boolean', value: true, description: 'backtrace support')
option('no-root', type: 'boolean', value: false, description: 'prevention of usage by root')
option('withdebug', type: 'boolean', value: false, description: 'leak debug and internal error checking')
option('fastmem', type: 'boolean', value: false, description: 'direct use of system allocation functions, not usable with debug enabled')
option('own-libc', type: 'boolean', value: false, description: 'force use of internal functions instead of those of system libc')
option('small', type: 'boolean', value: false, description: 'reduce binary size as far as possible (but see the bottom of doc/small.txt!)')
option('utf-8', type: 'boolean', value: true, description: 'UTF-8 support')
option('combining', type: 'boolean', value: false, description: 'support Unicode combining characters (experimental)')

option('xterm', type: 'boolean', value: false, description: 'how to invoke the X terminal emulator')
option('gpm', type: 'boolean', value: true, description: 'gpm (mouse) support')
option('terminfo', type: 'boolean', value: false, description: 'terminfo support')
option('zlib', type: 'boolean', value: true, description: 'zlib support')
option('bzlib', type: 'boolean', value: false, description: 'bzip2 support')
option('brotli', type: 'boolean', value: false, description: 'brotli support')
option('zstd', type: 'boolean', value: false, description: 'zstd support')
option('idn', type: 'boolean', value: true, description: 'international domain names support')
option('lzma', type: 'boolean', value: false, description: 'lzma encoding support')
option('gssapi', type: 'boolean', value: false, description: 'GSSAPI support')
option('spidermonkey', type: 'boolean', value: false, description: 'SpiderMonkey Mozilla JavaScript engine support')
option('guile', type: 'boolean', value: false, description: 'Guile support')
option('perl', type: 'boolean', value: false, description: 'Perl5 support')
option('python', type: 'boolean', value: false, description: 'Python3 support')
option('luapkg', type: 'string', value:'', description: 'Lua version')
option('tre', type: 'boolean', value: true, description: 'TRE regex search support')
option('ruby', type: 'boolean', value: false, description: 'Ruby support')
option('gnutls', type: 'boolean', value: false, description: 'GNUTLS SSL support')
option('openssl', type: 'boolean', value: true, description: 'OpenSSL support')
option('libev', type: 'boolean', value: false, description: 'compile with libev (libevent compatibility mode)')
option('libevent', type: 'boolean', value: false, description: 'compile with libevent. Note that libev has precedence')
option('x', type: 'boolean', value: false, description: 'use the X Window System')
option('libdom', type: 'boolean', value: false, description: 'libdom')
