=== src/ecmascript/spidermonkey/Makefile ===
top_builddir=../../..
include $(top_builddir)/Makefile.config
INCLUDES += $(SPIDERMONKEY_CFLAGS)

OBJS = document.o form.o heartbeat.o location.o navigator.o unibar.o window.o

include $(top_srcdir)/Makefile.lib
